/*========== FONTS ==========*/
/* @import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
 */


@font-face {
  font-family: "Din-Next";
  src: url("assets/fonts/din-next-lt-w23-bold.ttf") format("truetype");
  font-weight: bold;
  font-style: bold;
}

@font-face {
  font-family: "Din-Next";
  src: url("assets/fonts/din-next-lt-w23-medium.ttf") format("truetype");
  font-weight: medium;
  font-style: medium;
}

@font-face {
  font-family: "Din-Next";
  src: url("assets/fonts/din-next-lt-w23-light.ttf") format("truetype");
  font-weight: light;
  font-style: light;
}

@font-face {
  font-family: "Din-Next";
  src: url("assets/fonts/din-next-lt-w23-regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}


/*========== VARIABLES CSS ==========*/
:root {
  --header-height: 3.5rem;
  --nav-width: 219px;

  /*========== Colors ==========*/
  --first-color: #008493;
  --first-color-light: #F4F0FA;
  --title-color: #008493;
  --text-color: #58555E;
  --text-color-light: #A5A1AA;
  --body-color: #F9F6FD;
  --container-color: #FFFFFF;

  /*========== Font and typography ==========*/
  --body-font: 'Din-Next', Georgia, serif;
  --normal-font-size: .938rem;
  --small-font-size: .75rem;
  --smaller-font-size: .20rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-fixed: 100;
}

@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .513rem;
  }
}

/*========== BASE ==========*/
*, ::before, ::after {
  box-sizing: border-box;
}

body {
  margin: var(--header-height) 0 0 0; 
   padding: 1rem 1rem 0; 
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
   color: var(--text-color);

  /* width: 100%;
   height: 100vh;
   display: grid;
   align-items: center;
   background-color: #fff;
   font-family: 'poppins',sans-serif; */
}

h3 {
  margin: 0;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*========== HEADER ==========*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--container-color);
  box-shadow: 0 1px 0 rgba(22, 8, 43, 0.1);
  padding: 0 1rem;
  z-index: var(--z-fixed);
  padding-top: 2%;
}

.header__container {
  display: flex;
  align-items: center;
  height: var(--header-height);
  justify-content: space-between;
}

.header__img {
  width: 35px;
  height: 35px;
  border-radius: 50%;
}

.header__logo {
  color: var(--title-color);
  font-weight: var(--font-medium);
  display: none;
}



.header__input {
  width: 100%;
  border: none;
  outline: none;
  background-color: var(--first-color-light);
}

.header__input::placeholder {
  font-family: var(--body-font);
  color: var(--text-color);
}

.header__icon, 
.header__toggle {
  font-size: 1.2rem;
}

.header__toggle {
  color: var(--title-color);
  cursor: pointer;
}

/*========== Footer ==========*/
.footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 5%;
  background-color: var(--container-color);
  box-shadow: 0 1px 0 rgba(22, 8, 43, 0.1);
  padding: 0 1rem;
  padding-bottom: 3%;
  z-index: var(--z-fixed);
}


.footer__container {
  display: flex;
  align-items: center;
  height: var(--header-height);
  justify-content: space-between;
}


.footer__mail {
  color: var(--first-color);
  font-size: x-small;

  
  
}

.footer__text {
  color: var(--text-color);
  font-size: x-small;
}


/*===== Show menu =====*/
.show-menu {
  left: 0;
}

/*===== Active link =====*/
.active {
  color: var(--first-color);
}

/* ========== MEDIA QUERIES ==========*/
/* For small devices reduce search*/
@media screen and (max-width: 320px) {
  .header__search {
    width: 70%;
  }
}

@media screen and (min-width: 768px) {
  body {
    padding: 1rem 3rem 0 6rem;
  }
  .header {
    padding: 0 3rem 0 6rem;
  }
  .header__container {
    height: calc(var(--header-height) + .5rem);
  }
  .header__search {
    width: 300px;
    padding: .55rem .75rem;
  }
  .header__toggle {
    display: none;
  }
  .header__logo {
    display: block;
  }
  .header__img {
    width: 40px;
    height: 40px;
    order: 1;
  }
  .nav {
    left: 0;
    padding: 1.2rem 1.5rem 0;
    width: 68px; /* Reduced navbar */
  }
  .nav__items {
    row-gap: 1.7rem;
  }
  .nav__icon {
    font-size: 1.3rem;
  }

  /* Element opacity */
  .nav__logo-name, 
  .nav__name, 
  .nav__subtitle, 
  .nav__dropdown-icon {
    opacity: 0;
    transition: .3s;
  }
  
  
  /* Navbar expanded */
  .nav:hover {
    width: var(--nav-width);
  }
  
  /* Visible elements */
  .nav:hover .nav__logo-name {
    opacity: 1;
  }
  .nav:hover .nav__subtitle {
    opacity: 1;
  }
  .nav:hover .nav__name {
    opacity: 1;
  }
  .nav:hover .nav__dropdown-icon {
    opacity: 1;
  }
}






.mapboxgl-popup {
    max-width: 200px;
    
    
  }

  .mapboxgl-popup-content {
    text-align: center;
    font-family:"Din-Next", Georgia, serif;
    font-weight:medium;
    border-radius: 3%;
    
    
  }


  


 

 

  /* .mapboxgl-popup-content {
    text-align: center;
    font-family: 'Open Sans', sans-serif;
     border-width: 10px;
    border-style: solid;
    border-radius: 3%;
    border-color: transparent #FFFFFF transparent transparent;
    
  } */
/* .map {
    height: 500px;
    width: 80%;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    padding: 10px 10px;
} */


/* .button {
    width: 90%;
    margin: 0 auto;
    display: inline-block;
    position: relative;
    cursor: pointer;
    width: 20%;
    padding: 8px;
    border-radius: 3px;
    margin-top: 10px;
    font-size: 12px;
    text-align: center;
    color: #fff;
    background: #008493;
    font-family: sans-serif;
    font-weight: bold;
    } */